| Home | Libraries | People | FAQ | More

## Class multiple_values

boost::program_options::multiple_values

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class multiple_values : public boost::program_options::error_with_option_name {
    public:
      // construct/copy/destruct
      multiple_values();
      ~multiple_values();
    };

## Description

Class thrown when there are several option values, but user called a method which cannot return them all.

### `multiple_values` public construct/copy/destruct

1.     multiple_values();

2.     ~multiple_values();